summaryrefslogtreecommitdiff
path: root/dev-ml
diff options
context:
space:
mode:
authorGravatar Chris Xiong <chirs241097@gmail.com> 2022-04-02 16:31:46 -0400
committerGravatar Chris Xiong <chirs241097@gmail.com> 2022-04-02 16:31:46 -0400
commitee8e7d4eb1b90eaccd4e51eadc1b9804e3d2cc8c (patch)
tree822f662316d978277353fc1e2b11aa9c2056586a /dev-ml
parentbf165e1d181b513c3acc99472fa058bd73529034 (diff)
downloadppo-ee8e7d4eb1b90eaccd4e51eadc1b9804e3d2cc8c.tar.xz
camlp5 (temporary)
Diffstat (limited to 'dev-ml')
-rw-r--r--dev-ml/camlp5/Manifest2
-rw-r--r--dev-ml/camlp5/camlp5-8.00.03.ebuild58
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-ml/camlp5/Manifest b/dev-ml/camlp5/Manifest
new file mode 100644
index 0000000..88de2d6
--- /dev/null
+++ b/dev-ml/camlp5/Manifest
@@ -0,0 +1,2 @@
+DIST camlp5-8.00.03.tar.gz 1217877 BLAKE2B 971bd45c2740586b9883bd92f42479ae432cc8ca08010cf37edc90174dd71e79f6495e9f3d11b2f2900bf79e44f495152d8a1015cf5c7dba29a19e8a75c15196 SHA512 a6259d2d491ed1f967dd383f03d3da65a3f383d28340111f57883c6d56cee2d267c0f752ba98bcdb72c24cf724a606718de26b6c55b84ad9b5f8f6d620f3cba1
+EBUILD camlp5-8.00.03.ebuild 1073 BLAKE2B 3dbaf6c7694f1a52ebfc7b67b34fdec0256a4f4a6b6fd711672756a5d789e78888b96e15f789bbf11af10bd2b4d5e7574248701597efcfe45d8b0f9d10a45c71 SHA512 02f0ee65b774f7ac70953f9b9ed41354de6a95748ee6ecc8b19a7067a4adf07438201f0e204a0d011e18134ef1cdb1b6147d185cfd29789179479ce0765ad79e
diff --git a/dev-ml/camlp5/camlp5-8.00.03.ebuild b/dev-ml/camlp5/camlp5-8.00.03.ebuild
new file mode 100644
index 0000000..fe4e5eb
--- /dev/null
+++ b/dev-ml/camlp5/camlp5-8.00.03.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib vcs-clean
+
+DESCRIPTION="A preprocessor-pretty-printer of ocaml"
+HOMEPAGE="https://camlp5.github.io/"
+SRC_URI="https://github.com/camlp5/camlp5/archive/rel${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-rel${PV}"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc +ocamlopt"
+
+DEPEND="
+ >=dev-lang/ocaml-3.10:=[ocamlopt?]
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ egit_clean
+ default
+}
+
+src_configure() {
+ ./configure \
+ --strict \
+ -prefix /usr \
+ -bindir /usr/bin \
+ -libdir /usr/$(get_libdir)/ocaml \
+ -mandir /usr/share/man || die "configure failed"
+}
+
+src_compile() {
+ ulimit -s 11530000
+ emake out
+ if use ocamlopt; then
+ emake opt
+ emake opt.opt
+ fi
+}
+
+src_test() {
+ emake bootstrap
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+ # findlib support
+ insinto "$(ocamlfind printconf destdir)/${PN}"
+ doins etc/META
+
+ dodoc -r doc/*
+ dodoc CHANGES DEVEL ICHANGES README.md UPGRADING MODE
+}